<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::RenderPriorityGroup Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html#e1fbc62e9014f3e36bef8f7f638ccf19">addOrganisationMode</a>(QueuedRenderableCollection::OrganisationMode om)</td><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html#b09fd661aa02509a1e4f83b18f5da74f">addRenderable</a>(Renderable *pRend, Technique *pTech)</td><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html#1a0d99d181b2a830aab166f9fd6ee337">addSolidRenderable</a>(Technique *pTech, Renderable *rend, bool toNoShadowMap)</td><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html#d494a6753c50cba568cc890860fed98e">addSolidRenderableSplitByLightType</a>(Technique *pTech, Renderable *rend)</td><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html#a418acf3c5bca641a4c5e475cb27a753">addTransparentRenderable</a>(Technique *pTech, Renderable *rend)</td><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html#d1bd2155e06bec2f6dd0bec4d5f8e358">clear</a>(void)</td><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html#ae892307209fe5af02f0de2a237e30eb">defaultOrganisationMode</a>(void)</td><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html#1d55ed0d465b381303fd4b0c2e7646a2">getSolidsBasic</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html#745936859235b031c2399a5b3c45df4e">getSolidsDecal</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html#327e07de0d0136a5e489a44e3982b8a4">getSolidsDiffuseSpecular</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html#f5e28105a6ca20ed978cf206f9406e4d">getSolidsNoShadowReceive</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html#fd96c5fa208a0cabd16b8d6558425e62">getTransparents</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html#fa964877920d284c972b4684c54fe273">mParent</a></td><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html#a978e09317bbe8cf1062b4157510ea65">mShadowCastersNotReceivers</a></td><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html#b8560ed065a3001ee34d6fbc46de5527">mSolidsBasic</a></td><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html#ed4224f5234e3706795dfc4fa16159ed">mSolidsDecal</a></td><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html#56ebcce57f1603250d9b6018b06e98d3">mSolidsDiffuseSpecular</a></td><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html#dc851b6c07b963d53f2aedd53dda0b45">mSolidsNoShadowReceive</a></td><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html#6cb0571ecf3cb5199d95e4ff056499ff">mSplitNoShadowPasses</a></td><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html#f98ab3bc78759bb0f6fe921d95681c55">mSplitPassesByLightingType</a></td><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html#cacd2f33af2aceae1bc5775c4457d7da">mTransparents</a></td><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html#df137f62f5ca7f13420a95aea8151d8a">removePassEntry</a>(Pass *p)</td><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html#6e2d84bf96a0e44d57c0e96cf0736b97">RenderPriorityGroup</a>(RenderQueueGroup *parent, bool splitPassesByLightingType, bool splitNoShadowPasses, bool shadowCastersNotReceivers)</td><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html#fac98cbfa333ffbbd6f92a2dede71d83">resetOrganisationModes</a>(void)</td><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html#d00485a29818222dffa8b4b42748c57f">setShadowCastersCannotBeReceivers</a>(bool ind)</td><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html#82ce83d78ddac522340a9bb9dfd4aa76">setSplitNoShadowPasses</a>(bool split)</td><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html#17541d778d6d971eb7ecc0141ca7bbce">setSplitPassesByLightingType</a>(bool split)</td><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html#2fa35b87445194af9b81e5d7ab33648a">sort</a>(const Camera *cam)</td><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html#0a18c4c1f2c29571f606cbac7861c3a9">~RenderPriorityGroup</a>()</td><td><a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:08 2008
</p>
</body>
</html>
